Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Member Functions | List of all members
eZ\Bundle\EzPublishRestBundle\DependencyInjection\EzPublishRestExtension Class Reference

This is the class that loads and manages your bundle configuration. More...

Inheritance diagram for eZ\Bundle\EzPublishRestBundle\DependencyInjection\EzPublishRestExtension:

## Public Member Functions
| load (array $configs, ContainerBuilder $container)
| {} More...
| prepend (ContainerBuilder $container)

## Private Member Functions
| prependRouterConfiguration (ContainerBuilder $container)

## Detailed Description

This is the class that loads and manages your bundle configuration.

To learn more see http://symfony.com/doc/current/cookbook/bundles/extension.html

Definition at line 23 of file EzPublishRestExtension.php.

## Member Function Documentation

## ◆ load()

eZ\Bundle\EzPublishRestBundle\DependencyInjection\EzPublishRestExtension::load | ( | array | $configs,
|  | ContainerBuilder | $container
| ) |  |

{}

Definition at line 28 of file EzPublishRestExtension.php.

References $loader.

## ◆ prepend()

eZ\Bundle\EzPublishRestBundle\DependencyInjection\EzPublishRestExtension::prepend | ( | ContainerBuilder | $container | ) |

Definition at line 44 of file EzPublishRestExtension.php.

References eZ\Bundle\EzPublishRestBundle\DependencyInjection\EzPublishRestExtension\prependRouterConfiguration().

## ◆ prependRouterConfiguration()

eZ\Bundle\EzPublishRestBundle\DependencyInjection\EzPublishRestExtension::prependRouterConfiguration | ( | ContainerBuilder | $container | ) |
| private

Definition at line 56 of file EzPublishRestExtension.php.

Referenced by eZ\Bundle\EzPublishRestBundle\DependencyInjection\EzPublishRestExtension\prepend().

The documentation for this class was generated from the following file:

- EzPublishRestExtension.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.